import React from 'react';
import { FieldProps } from 'formik';
declare type RefType = string | ((instance: HTMLInputElement | null) => void) | React.RefObject<HTMLInputElement> | null | undefined;
export interface TextFieldProps {
    className?: string | null;
    disabled?: boolean;
    forwardRef?: RefType;
    id?: string | null;
    name: string;
    max?: string | number;
    maxLength?: number;
    min?: string | number;
    minLength?: number;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onInput?: (event: React.FormEvent<HTMLInputElement>) => void;
    onKeyDown?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
    pattern?: string;
    placeholder?: string | null;
    style?: object;
    type?: string;
}
export declare type RenderInput = (fieldProps: FieldProps) => React.ReactNode;
declare const TextField: React.FC<TextFieldProps>;
export default TextField;
